Subject: Re: [PATCH v2 08/11] i18n: send-email: mark strings for translation

From: Junio C Hamano <[email-masked]>
Date: Sun, 25 Sep 2016 16:14:54 -0700

Vasco Almeida <[email-masked]> writes:

> -		$_ = ask("What to do with this address? ([q]uit|[d]rop|[e]dit): ",
> +		# TRANSLATORS: Make sure to include [q] [d] [e] in your
> +		# translation. The program will only accept English input
> +		# at this point.
> +		$_ = ask(__("What to do with this address? ([q]uit|[d]rop|[e]dit): "),
>  			valid_re => qr/^(?:quit|q|drop|d|edit|e)/i,
>  			default => 'q');
> ...
> -		$_ = ask("Send this email? ([y]es|[n]o|[q]uit|[a]ll): ",
> +		# TRANSLATORS: Make sure to include [y] [n] [q] [a] in your
> +		# translation. The program will only accept English input
> +		# at this point.
> +		$_ = ask(__("Send this email? ([y]es|[n]o|[q]uit|[a]ll): "),
>  		         valid_re => qr/^(?:yes|y|no|n|quit|q|all|a)/i,
>  		         default => $ask_default);

The same comment as the one for the prompt in "add -i" applies
here.  If something should not be translated, perhaps we are better
off pushing it outside __(), no?